package com.zaojiao.app.feat.settings

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.wrapContentHeight
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.zaojiao.app.feat.design.Colors

@Composable
fun SettingsCommon() {
    Column(
        modifier = Modifier
            .padding(horizontal = 12.dp)
            .clip(shape = RoundedCornerShape(10.dp))
            .background(color = Color.White)
            .wrapContentHeight()
            .fillMaxWidth(),
    ) {
        SettingsIndexInfoItem(
            title = "微信绑定",
            onClick = {},
            isFirst = true,
        ) {
            Text(
                text = "已绑定",
                style = TextStyle(
                    color = Colors.FF666666,
                    fontSize = 12.sp,
                    lineHeight = 17.sp,
                    fontWeight = FontWeight.Normal,
                )
            )
        }

        SettingsIndexInfoItem(
            title = "手机号码",
            onClick = {},
        ) {
            Text(
                text = "1999999999",
                style = TextStyle(
                    color = Colors.FF666666,
                    fontSize = 12.sp,
                    lineHeight = 17.sp,
                    fontWeight = FontWeight.Normal,
                )
            )
        }

        SettingsIndexInfoItem(
            title = "清除缓存",
            onClick = {},
        ) {
            Text(
                text = "200.4M",
                style = TextStyle(
                    color = Colors.FF666666,
                    fontSize = 12.sp,
                    lineHeight = 17.sp,
                    fontWeight = FontWeight.Normal,
                )
            )
        }

        SettingsIndexForwardItem(
            title = "用户协议",
            onClick = {},
        )

        SettingsIndexForwardItem(
            title = "隐私协议",
            onClick = {},
        )

        SettingsIndexForwardItem(
            title = "意见反馈",
            onClick = {},
        )

        SettingsIndexForwardItem(
            title = "去评价",
            onClick = {},
        )

        SettingsIndexForwardItem(
            title = "关于我们",
            onClick = {},
        )

        SettingsIndexForwardItem(
            title = "注销账号",
            onClick = {},
            isLast = true,
        )
    }
}